'use strict';

var React = require('react');
var classnames = require('classnames');
var FormFieldWrapper = require('./FormFieldWrapper-cjs.js');
var Icon = require('./Icon-cjs.js');
var Spinner = require('./Spinner-cjs.js');

function FormFieldPostFix({ variation, visible = true, className, }) {
    if (!visible)
        return null;
    return (React.createElement("span", { className: classnames(FormFieldWrapper.formFieldStyles.postfix, className) }, variation === "select" ? (React.createElement(Icon.Icon, { name: "arrowDown" })) : (React.createElement(Spinner.Spinner, { size: "small" }))));
}

exports.FormFieldPostFix = FormFieldPostFix;
